September 14, 2004

Firefox 1.0PR

Posted by Arcane Gazebo at September 14, 2004 5:21 PM

I installed the preview release of Firefox 1.0. But TabBrowser Extensions isn't (yet) compatible with the new version! I keep clicking in the empty space on the tab where my "close tab" button should be. There is a smaller extension that does single-window mode, at least, and the new version of Sage is nice.

Post a comment